APIUser connections

Start OAuth authorization

Start OAuth authorization flow. Returns URL to redirect the user to.

POST
/user/connections/authorize

Start OAuth authorization flow. Returns URL to redirect the user to.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

manage_connections

Request Body

application/json
  1. body
mcp_id*uuid
Formatuuid
redirect_to?string

Where to send the user after they finish signing in.

Response Body

The request has succeeded.

application/json
  1. response
authorization_url*string

URL to send the user to so they can sign in and grant access.

Formaturi
Example Request
curl -X POST 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/user/connections/authorize' \  -H 'Content-Type: application/json' \  -d '{  "mcp_id": "92dad337-069f-4a18-a93d-2e7f16082ffb"}'
Example Response
{  "authorization_url": "http://example.com"}